//////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2010, 2022 Contributors to the Eclipse Foundation
//
// See the NOTICE file(s) distributed with this work for additional
// information regarding copyright ownership.
//
// This program and the accompanying materials are made available
// under the terms of the MIT License which is available at
// https://opensource.org/licenses/MIT
//
// SPDX-License-Identifier: MIT
//////////////////////////////////////////////////////////////////////////////

package org.eclipse.escet.cif.cif2plc.plcdata;

import org.eclipse.escet.common.box.Box;
import org.eclipse.escet.common.box.Boxable;

/** Base class for PLC objects. */
public abstract class PlcObject implements Boxable {
    @Override
    public final String toString() {
        return toBox().toString();
    }

    /**
     * Returns a {@link Box} representation of the S7 output for this object.
     *
     * @return A {@link Box} representation of the S7 output for this object.
     */
    public Box toBoxS7() {
        return toBox();
    }
}
